Accerciser Road Map (DRAFT)

This page documents the Road Map for Accerciser, the pyatspi-based accessibility exploration application.

Triaging Bugs

December 2010 - October 2012

GNOME 3.0

October 2010 - April 2011

GNOME 3.0 is now scheduled for release in March 2011; 3.0.1 in April. Since Accerciser is an important tool for development of accessible applications, it must work within the GNOME 3.0 infrastructure:

  • Accerciser must work as expected with AT-SPI over D-Bus and be able to explore accessibility features of GNOME 3 applications.
  • Accerciser must work as expected with GNOME Shell.
  • Accerciser must work as expected with GNOME Shell’s built in magnifier.
  • Accerciser must work as expected with Gtk 3 applications.
  • Accerciser must work as expected with Yelp 3.0 which will be WebKitGtk+ based.

Documentation improvements

October 2010 - June 2011

Yelp 3.0 and Mallard allows documentation to be tagged and organized according to context and use case.

  • Come up with high level documentation structure.
  • Port existing documentation to new Mallard-based structure where appropriate.
  • Documentation for differences under new desktop environment.
  • Internationlize new Mallard documentation (?)

Remove unused, unnecessary components

January 2011 - June 2011

  • Script Recorder

Test Accerciser in Gnome 3.x and GNOME 2.30 environments.

October 2010 - July 2011

  • Accerciser Bugs should be logged by developers as found during Gnome 3.x development.
  • For the near term, accerciser will be expected to continue work with Gnome 2.30 desktops and CORBA based atspi.
  • Additional formal testing will verify that Accerciser has not experienced significant regressions from GNOME 2.x.

Deprecate GNOME 2.30x compatibility for Accerciser

  • October 2012 *

Apps/Accerciser/RoadMap (last edited 2013-11-18 18:28:11 by WilliamJonMcCann)